    disp('test 1 (baseline)')
    odeOpt = odeset ( 'Events', [], 'InitialStep', 1, 'OutputFcn', [], ...
      'Refine', 1, 'MaxStep', 1 )
    disp('**Part 1: variable outputs, fixed time')
    [t, y] = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 2: struct output, fixed time')
    structOut = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 3: variable outputs, free time')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 4: struct output, free time')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )

    disp('-------------------')
    disp('test 2 (event only)')
    odeOpt = odeset ( 'Events', @testEvent, 'InitialStep', 1, 'OutputFcn', [], ...
      'Refine', 1, 'MaxStep', 1 )
    disp('**Part 1: variable outputs, fixed time')
    [t, y] = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 2: struct output, fixed time')
    structOut = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 3: variable outputs, free time')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 4: struct output, free time')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )

    disp('-----------------------------')
    disp('test 3 (output function only)')
    odeOpt = odeset ( 'Events', [], 'InitialStep', 1, 'OutputFcn', @testFuncOut, ...
      'Refine', 1, 'MaxStep', 1 )
    disp('**Part 1: variable outputs, fixed time')
    [t, y] = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 2: struct output, fixed time')
    structOut = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 3: variable outputs, free time')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 4: struct output, free time')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )

    disp('----------------------------------')
    disp('test 4 (event and output function)')
    odeOpt = odeset ( 'Events', @testEvent, 'InitialStep', 1, 'OutputFcn', @testFuncOut, ...
      'Refine', 1, 'MaxStep', 1 )
    disp('**Part 1: variable outputs, fixed time')
    [t, y] = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 2: struct output, fixed time')
    structOut = ode45 ( @(t,y) 1, [0,1.05,2,2.5], [0], odeOpt )
    disp('**Part 3: variable outputs, free time')
    [t, y] = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
    disp('**Part 4: struct output, free time')
    structOut = ode45 ( @(t,y) 1, [0,2.5], [0], odeOpt )
